## player 3.0.2+dfsg

=== CMakeLists.txt ===
IF (WIN32)
    # Require 2.6 for Windows
    CMAKE_MINIMUM_REQUIRED (VERSION 2.6 FATAL_ERROR)
ELSE (WIN32)
    CMAKE_MINIMUM_REQUIRED (VERSION 2.4.7 FATAL_ERROR)
ENDIF (WIN32)

# Compatibility settings
IF (COMMAND CMAKE_POLICY)
    CMAKE_POLICY (SET CMP0003 NEW)
    CMAKE_POLICY (SET CMP0004 NEW)
ENDIF (COMMAND CMAKE_POLICY)


# Set the project name (helps Visual Studio, mainly)
PROJECT (Player)
STRING (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
# Set the package version
SET (PLAYER_VERSION 3.0.2 CACHE STRING "Player distribution version")
SET (PLAYER_API_VERSION 3.0 CACHE STRING "Player API version")
MESSAGE (STATUS "${PROJECT_NAME} version ${PLAYER_VERSION}")

# Set where to find our internal CMake scripts
SET (PLAYER_CMAKE_DIR ${PROJECT_SOURCE_DIR}/cmake CACHE PATH "Location of CMake scripts")
# Get version components
INCLUDE (${PLAYER_CMAKE_DIR}/internal/DissectVersion.cmake)
# Determine the operating system in detail
INCLUDE (${PLAYER_CMAKE_DIR}/internal/FindOS.cmake)

# Enable -Wall by default
IF (NOT PLAYER_OS_WIN AND NOT PLAYER_OS_SOLARIS)
    # Using -Wall on Windows causes MSVC to produce thousands of warnings in its
    # own standard headers, dramatically slowing down the build.
    SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
ENDIF (NOT PLAYER_OS_WIN AND NOT PLAYER_OS_SOLARIS)

# Check the compiler version is OK
# INCLUDE (${PLAYER_CMAKE_DIR}/internal/CheckCompiler.cmake)
# Setup directories such as install destination
INCLUDE (${PLAYER_CMAKE_DIR}/internal/SetupDirectories.cmake)
# Uninstall target
INCLUDE (${PLAYER_CMAKE_DIR}/internal/UninstallTarget.cmake)

# Some options to control the build
OPTION (PLAYER_BUILD_TESTS "Enables compilation of the test suites" ON)

# Look for various needed things
INCLUDE (${PLAYER_CMAKE_DIR}/internal/SearchForStuff.cmake)
# Give the user some compile options
INCLUDE (${PLAYER_CMAKE_DIR}/internal/GeneralCompileOptions.cmake)
# Write the config.h file
CONFIGURE_FILE (${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h)
# Generate playerconfig.h
SET (playerconfig_h_in "${CMAKE_CURRENT_SOURCE_DIR}/playerconfig.h.in")
SET (playerconfig_h "${CMAKE_CURRENT_BINARY_DIR}/playerconfig.h")
CONFIGURE_FILE (${playerconfig_h_in} ${playerconfig_h})
INSTALL (FILES ${playerconfig_h} DESTINATION ${PLAYER_INCLUDE_INSTALL_DIR} COMPONENT headers)
# Include some useful macros
INCLUDE (${PLAYER_CMAKE_DIR}/internal/LibraryUtils.cmake)

# Set some common include directories, including the binary dir to get config.h and playerconfig.h
INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR} ${PROJECT_BINARY_DIR} ${PROJECT_BINARY_DIR}/libplayercore)
# Extra directories where needed libraries, etc may be located (set by the user)
INCLUDE_DIRECTORIES (${PLAYER_EXTRA_INCLUDE_DIRS})
LINK_DIRECTORIES (${PLAYER_EXTRA_LIB_DIRS})

IF (PLAYER_OS_WIN)
    # This is pretty much a universal include on Windows
    INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/replace)
ENDIF (PLAYER_OS_WIN)

ADD_SUBDIRECTORY (libplayercommon)
ADD_SUBDIRECTORY (libplayerinterface)
ADD_SUBDIRECTORY (client_libs)
ADD_SUBDIRECTORY (libplayercore)
ADD_SUBDIRECTORY (config)           # Example config files
ADD_SUBDIRECTORY (libplayerwkb)
ADD_SUBDIRECTORY (libplayerjpeg)
ADD_SUBDIRECTORY (libplayertcp)
ADD_SUBDIRECTORY (libplayersd)
ADD_SUBDIRECTORY (rtk2)
ADD_SUBDIRECTORY (server)
ADD_SUBDIRECTORY (examples)
ADD_SUBDIRECTORY (utils)
ADD_SUBDIRECTORY (doc)
ADD_SUBDIRECTORY (cmake)            # CMake modules for Player libraries
ADD_SUBDIRECTORY (replace)
MESSAGE (STATUS "")

PLAYER_CLEAR_CACHED_LISTS ()

# Create packages
INCLUDE (InstallRequiredSystemLibraries)
CONFIGURE_FILE ("${PROJECT_SOURCE_DIR}/PlayerCPackOptions.cmake.in" "${PROJECT_BINARY_DIR}/PlayerCPackOptions.cmake" @ONLY)
SET (CPACK_PROJECT_CONFIG_FILE "${PROJECT_BINARY_DIR}/PlayerCPackOptions.cmake")
INCLUDE (CPack)

=== client_libs/CMakeLists.txt ===
MESSAGE (STATUS "===== Client Libraries =====")
ADD_SUBDIRECTORY (libplayerc)
ADD_SUBDIRECTORY (libplayerc++)
MESSAGE (STATUS "============================")

=== config/CMakeLists.txt ===
SET (sampleConfigFiles  afsm.cfg
                        afsm.eps
                        amigobot.cfg
                        amigobot_tcp.cfg
                        amtecM5.cfg
                        b21r_rflex_lms200.cfg
                        cvcam.cfg
                        dummy.cfg
                        erratic.cfg
                        hokuyo_aist.cfg
                        iwspy.cfg
                        joystick.cfg
                        lms400.cfg
                        magellan.cfg
                        mapfile.cfg
                        mbicp.cfg
                        nomad.cfg
                        obot.cfg
                        passthrough.cfg
                        phidgetIFK.cfg
                        phidgetRFID.cfg
                        pioneer.cfg
                        pioneer_rs4euze.cfg
                        pointcloud3d.cfg
                        readlog.cfg
                        rfid.cfg
                        roomba.cfg
                        searchpattern.cfg
                        searchpattern_symbols.ps
                        segwayrmp.cfg
                        service_adv.cfg
                        simple.cfg
                        sphere.cfg
                        umass_ATRVJr.cfg
                        umass_ATRVMini.cfg
                        umass_reb.cfg
                        urglaser.cfg
                        vfh.cfg
                        wavefront.cfg
                        wbr914.cfg
                        writelog.cfg
                        wsn.cfg)

INSTALL (FILES ${sampleConfigFiles} DESTINATION "share/${PROJECT_NAME_LOWER}/config" COMPONENT samplecfg)

=== doc/CMakeLists.txt ===
OPTION (BUILD_DOCUMENTATION "Build the doxygen-based documentation" OFF)
IF (BUILD_DOCUMENTATION)
    MESSAGE (STATUS)
    MESSAGE (STATUS "===== Documentation =====")
    FIND_PACKAGE (Doxygen)
    IF (DOXYGEN_FOUND)
        SET (doxygenConfigFileIn "${CMAKE_CURRENT_SOURCE_DIR}/player.dox.in")
        SET (doxygenConfigFile "${CMAKE_CURRENT_BINARY_DIR}/player.dox")

        SET (DOXYGEN_LANGUAGE "English" CACHE STRING "Documentation language")
        MARK_AS_ADVANCED (DOXYGEN_LANGUAGE)

        IF (PLAYER_OS_WIN)
            FIND_PACKAGE (HTMLHelp)
            IF (HTML_HELP_COMPILER)
                SET (DOXYGEN_HTMLHELP YES)
            ELSE (HTML_HELP_COMPILER)
                SET (DOXYGEN_HTMLHELP NO)
            ENDIF (HTML_HELP_COMPILER)
        ELSE (PLAYER_OS_WIN)
            SET (DOXYGEN_HTMLHELP NO)
        ENDIF (PLAYER_OS_WIN)

        FIND_PACKAGE (LATEX)
        IF (LATEX_COMPILER OR PDFLATEX_COMPILER)
            SET (DOXYGEN_LATEX YES)
            IF (PDFLATEX_COMPILER)
                SET (DOXYGEN_PDFLATEX YES)
            ELSE (PDFLATEX_COMPILER)
                SET (DOXYGEN_PDFLATEX NO)
            ENDIF (PDFLATEX_COMPILER)
        ELSE (LATEX_COMPILER OR PDFLATEX_COMPILER)
            SET (DOXYGEN_LATEX NO)
            SET (DOXYGEN_PDFLATEX NO)
        ENDIF (LATEX_COMPILER OR PDFLATEX_COMPILER)

        FIND_PROGRAM (HAVE_DOT dot)
        IF (HAVE_DOT)
            SET (HAVE_DOT_PROGRAM YES)
        ENDIF (HAVE_DOT)
        FIND_PACKAGE (Perl)

        # Generate the doxygen configure file based on various configuration parameters
        CONFIGURE_FILE (${doxygenConfigFileIn} ${doxygenConfigFile} @ONLY)

        # Build documentation target
        ADD_CUSTOM_TARGET (doc
            ${DOXYGEN_EXECUTABLE} ${doxygenConfigFile}
            DEPENDS ${doxygenConfigFile}
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
            VERBATIM)
        ADD_DEPENDENCIES (doc playercore playerinterface)

        # Install documentation
        SET (docInstallDir "share/doc/player-${PLAYER_VERSION}")
        SET (docSourceDir "${CMAKE_CURRENT_BINARY_DIR}/player-docs/")
        # Make the output directory now so install doesn't complain that it doesn't exist
        FILE (MAKE_DIRECTORY ${docSourceDir})
        INSTALL (DIRECTORY ${docSourceDir}
            DESTINATION ${docInstallDir})

        # Compile the LaTeX documentation
        IF (DOXYGEN_LATEX)
            INCLUDE (${PLAYER_CMAKE_DIR}/internal/CompileLatex.cmake)
            COMPILE_LATEX (${CMAKE_CURRENT_BINARY_DIR}/latex refman)
            ADD_DEPENDENCIES (doc_latex doc)
        ENDIF (DOXYGEN_LATEX)

        # Upload documentation target (not supported on Windows)
        SET (docWebDestination "Player-cvs")
        SET (docName "player")
        IF (NOT PLAYER_OS_WIN)
            ADD_CUSTOM_TARGET (upload_doc
                ${CMAKE_CURRENT_SOURCE_DIR}/upload_www.sh ${docWebDestination} ${docName}
                WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                VERBATIM)
            ADD_DEPENDENCIES (upload_doc doc)
        ENDIF (NOT PLAYER_OS_WIN)
    ELSE (DOXYGEN_FOUND)
        MESSAGE (STATUS "Documentation will not be built - Doxygen not found")
    ENDIF (DOXYGEN_FOUND)
ENDIF (BUILD_DOCUMENTATION)

=== examples/CMakeLists.txt ===
MESSAGE (STATUS "===== Examples =====")
OPTION (BUILD_EXAMPLES "Build the libplayerc, libplayerc++ and plugin examples" ON)

IF (BUILD_EXAMPLES)
    ADD_SUBDIRECTORY (libplayerc)
    ADD_SUBDIRECTORY (libplayerc++)
    IF (BUILD_SHARED_LIBS)
        ADD_SUBDIRECTORY (plugins)
    ENDIF (BUILD_SHARED_LIBS)
ENDIF (BUILD_EXAMPLES)
MESSAGE (STATUS "====================")
MESSAGE (STATUS "")

=== libplayercommon/CMakeLists.txt ===
SET (playercommonSrcs error.c)

PLAYER_ADD_LIBRARY (playercommon ${playercommonSrcs})
PLAYER_MAKE_PKGCONFIG ("playercommon" "Player error reporting and utility library - part of the Player Project"
                       "" "" "" "")

PLAYER_INSTALL_HEADERS (playercommon playercommon.h error.h)

=== libplayercore/CMakeLists.txt ===
# The Python interpreter is necessary to compile this library
INCLUDE (FindPythonInterp)
IF (NOT PYTHONINTERP_FOUND)
    MESSAGE (FATAL_ERROR "No Python interpreter found. Cannot continue.")
ENDIF (NOT PYTHONINTERP_FOUND)

IF (NOT PTHREAD_INCLUDE_DIR STREQUAL "")
    PLAYERCORE_ADD_INCLUDE_DIR (${PTHREAD_INCLUDE_DIR})
ENDIF (NOT PTHREAD_INCLUDE_DIR STREQUAL "")
IF (NOT PTHREAD_LIB_DIR STREQUAL "")
    PLAYERCORE_ADD_LINK_DIR (${PTHREAD_LIB_DIR})
    SET (playercoreLinkDirs ${playercoreLinkDirs} ${PTHREAD_LIB_DIR})
ENDIF (NOT PTHREAD_LIB_DIR STREQUAL "")

SET (playercoreSrcs driver.cc
                    device.cc
                    drivertable.cc
                    devicetable.cc
                    configfile.cc
                    filewatcher.cc
                    message.cc
                    wallclocktime.cc
                    plugins.cc
                    globals.cc
                    property.cpp
                    threaded_driver.cc
                    remote_driver.cc)

IF (NOT PLAYER_OS_QNX)
    PLAYERCORE_ADD_LINK_LIB (${PTHREAD_LIB})
ENDIF (NOT PLAYER_OS_QNX)

IF (HAVE_CLOCK_GETTIME)
    PLAYERCORE_ADD_INT_LINK_LIB (rt)
    SET (playercoreLinkLibs ${playercoreLinkLibs} "rt")
ELSE (HAVE_CLOCK_GETTIME)
    SET (playerreplaceLib playerreplace)
ENDIF (HAVE_CLOCK_GETTIME)
IF (NOT HAVE_GETTIMEOFDAY)
    SET (playerreplaceLib playerreplace)
ENDIF (NOT HAVE_GETTIMEOFDAY)
IF (HAVE_LIBLTDL)
    IF (PLAYER_OS_QNX)
        PLAYERCORE_ADD_LINK_LIB (ltdl)
        SET (playercoreLinkLibs ${playercoreLinkLibs} "ltdl")
    ELSE (PLAYER_OS_QNX)
        PLAYERCORE_ADD_LINK_LIB (ltdl dl)
        SET (playercoreLinkLibs ${playercoreLinkLibs} "ltdl" "dl")
    ENDIF (PLAYER_OS_QNX)
ENDIF (HAVE_LIBLTDL)
IF (NOT HAVE_DIRNAME)
    SET (playerreplaceLib playerreplace)
ENDIF (NOT HAVE_DIRNAME)

PLAYERCORE_ADD_INT_LINK_DIR (${CMAKE_BINARY_DIR}/libplayerinterface ${CMAKE_BINARY_DIR}/libplayercommon)
PLAYERCORE_ADD_INT_LINK_LIB (playerinterface playercommon)

INCLUDE_DIRECTORIES (${PLAYERCORE_INT_INCLUDE_DIRS} ${PLAYERCORE_EXTRA_INCLUDE_DIRS})
LINK_DIRECTORIES (${PLAYERCORE_INT_LINK_DIRS} ${PLAYERCORE_EXTRA_LINK_DIRS})
PLAYER_ADD_LIBRARY (playercore ${playercoreSrcs})
TARGET_LINK_LIBRARIES (playercore ${playerreplaceLib}
                                  ${PLAYERCORE_INT_LINK_LIBRARIES}
                                  ${PLAYERCORE_EXTRA_LINK_LIBRARIES})
SET (pkgconfigCFlags)
SET (pkgconfigLinkDirs)
SET (pkgconfigLinkLibs)
LIST_TO_STRING_WITH_PREFIX (pkgconfigCFlags "-I" ${PLAYERCORE_EXTRA_INCLUDE_DIRS})
LIST_TO_STRING_WITH_PREFIX (pkgconfigLinkDirs "-L" ${PLAYERCORE_EXTRA_LINK_DIRS})
LIST_TO_STRING_WITH_PREFIX (pkgconfigLinkLibs "-l" ${PLAYERCORE_EXTRA_LINK_LIBRARIES})
PLAYER_MAKE_PKGCONFIG ("playercore" "Player core library - part of the Player Project"
                       "playerinterface playercommon" "" "${pkgconfigCFlags}"
                       "${pkgconfigLinkDirs} ${pkgconfigLinkLibs}")
CONFIGURE_FILE (${PLAYER_CMAKE_DIR}/UsePlayerPlugin.cmake.in ${CMAKE_BINARY_DIR}/cmake/UsePlayerPlugin.cmake @ONLY)

PLAYER_INSTALL_HEADERS (playercore configfile.h
                                   device.h
                                   devicetable.h
                                   driver.h
                                   drivertable.h
                                   filewatcher.h
                                   globals.h
                                   message.h
                                   playercore.h
                                   playertime.h
                                   plugins.h
                                   property.h
                                   wallclocktime.h)

=== libplayerinterface/CMakeLists.txt ===
# The Python interpreter is necessary to compile this library
INCLUDE (FindPythonInterp)
IF (NOT PYTHONINTERP_FOUND)
    MESSAGE (FATAL_ERROR "No Python interpreter found. Cannot continue.")
ENDIF (NOT PYTHONINTERP_FOUND)

SET (interfaceFiles interfaces/001_player.def
                    interfaces/002_power.def
                    interfaces/003_gripper.def
                    interfaces/004_position2d.def
                    interfaces/005_sonar.def
                    interfaces/006_laser.def
                    interfaces/007_blobfinder.def
                    interfaces/008_ptz.def
                    interfaces/009_audio.def
                    interfaces/010_fiducial.def
                    interfaces/012_speech.def
                    interfaces/013_gps.def
                    interfaces/014_bumper.def
                    interfaces/020_dio.def
                    interfaces/021_aio.def
                    interfaces/022_ir.def
                    interfaces/023_wifi.def
                    interfaces/025_localize.def
                    interfaces/030_position3d.def
                    interfaces/031_simulation.def
                    interfaces/033_blinkenlight.def
                    interfaces/040_camera.def
                    interfaces/042_map.def
                    interfaces/044_planner.def
                    interfaces/045_log.def
                    interfaces/049_joystick.def
                    interfaces/050_speech_recognition.def
                    interfaces/051_opaque.def
                    interfaces/052_position1d.def
                    interfaces/053_actarray.def
                    interfaces/054_limb.def
                    interfaces/055_graphics2d.def
                    interfaces/056_rfid.def
                    interfaces/057_wsn.def
                    interfaces/058_graphics3d.def
                    interfaces/059_health.def
                    interfaces/060_imu.def
                    interfaces/061_pointcloud3d.def
                    interfaces/062_ranger.def
                    interfaces/063_vectormap.def
                    interfaces/064_blackboard.def
                    interfaces/065_stereo.def)

INCLUDE (${PLAYER_CMAKE_DIR}/internal/ProcessInterfaces.cmake)

SET (player_interfaces_h "${CMAKE_CURRENT_BINARY_DIR}/player_interfaces.h")
SET (interface_table_h "${CMAKE_CURRENT_BINARY_DIR}/interface_table.h")
PROCESS_INTERFACES ("" ${CMAKE_CURRENT_SOURCE_DIR}/interfaces ${player_interfaces_h} ${interfaceFiles})
ADD_CUSTOM_TARGET (player_interfaces ALL
    DEPENDS ${player_interfaces_h}
    COMMENT "Generating player_interfaces.h")
PROCESS_INTERFACES ("--utils" ${CMAKE_CURRENT_SOURCE_DIR}/interfaces ${interface_table_h} ${player_interfaces_h})
ADD_CUSTOM_TARGET (interface_table ALL
    DEPENDS ${interface_table_h}
    COMMENT "Generating interface_table.h")

SET (playerxdr_h "${CMAKE_CURRENT_BINARY_DIR}/playerxdr.h")
SET (playerxdr_c "${CMAKE_CURRENT_BINARY_DIR}/playerxdr.c")
ADD_CUSTOM_COMMAND (OUTPUT ${playerxdr_h} ${playerxdr_c}
    COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/playerxdrgen.py -distro ${CMAKE_CURRENT_SOURCE_DIR}/player.h ${playerxdr_c} ${playerxdr_h} ${player_interfaces_h}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${interfaceFiles} ${player_interfaces_h}
)
ADD_CUSTOM_TARGET (playerxdr_src ALL
    DEPENDS ${playerxdr_h} ${playerxdr_c}
    COMMENT "Generating playerxdr.?")

SET (functiontable_gen_h "${CMAKE_CURRENT_BINARY_DIR}/functiontable_gen.h")
ADD_CUSTOM_COMMAND (OUTPUT ${functiontable_gen_h}
    COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/playerinterfacegen.py --functiontable ${CMAKE_CURRENT_SOURCE_DIR}/interfaces > ${functiontable_gen_h}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${interfaceFiles}
)
ADD_CUSTOM_TARGET (functiontable_gen ALL
    DEPENDS ${functiontable_gen_h}
    COMMENT "Generating functiontable_gen.h")

IF (NOT HAVE_XDR)
    INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/replace)
ENDIF (NOT HAVE_XDR)

SET (playerinterfaceSrcs  ${playerxdr_h}
                          ${playerxdr_c}
                          functiontable.c
                          addr_util.c
                          interface_util.c
                          ${functiontable_gen_h})

IF (PLAYER_OS_QNX)
    SET (interfaceLibFlag -lrpc)
ELSE (PLAYER_OS_QNX)
    SET (interfaceLibFlag)
ENDIF (PLAYER_OS_QNX)

INCLUDE_DIRECTORIES (${CMAKE_CURRENT_BINARY_DIR})
PLAYER_ADD_LIBRARY (playerinterface ${playerinterfaceSrcs})
TARGET_LINK_LIBRARIES (playerinterface playercommon)
IF (PLAYER_OS_WIN)
    TARGET_LINK_LIBRARIES (playerinterface Ws2_32)
ENDIF (PLAYER_OS_WIN)
SET_SOURCE_FILES_PROPERTIES (${playerxdr_h} ${playerxdr_c} PROPERTIES GENERATED TRUE)
IF (PLAYER_OS_QNX)
    TARGET_LINK_LIBRARIES (playerinterface rpc)
    PLAYERCORE_ADD_INT_LINK_LIB (rpc)
ENDIF (PLAYER_OS_QNX)
IF (NOT HAVE_XDR)
    TARGET_LINK_LIBRARIES (playerinterface playerreplace)
ENDIF (NOT HAVE_XDR)
PLAYER_MAKE_PKGCONFIG ("playerinterface" "Player Interface library - part of the Player Project"
                       "" "" "" "${interfaceLibFlag}")

PLAYER_INSTALL_HEADERS (playerinterface ${playerxdr_h}
                                        addr_util.h
                                        functiontable.h
                                        interface_util.h
                                        ${player_interfaces_h}
                                        player.h)

INSTALL (FILES ${CMAKE_CURRENT_SOURCE_DIR}/playerxdrgen.py RENAME playerxdrgen
         DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
         GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
         COMPONENT applications)
INSTALL (FILES ${CMAKE_CURRENT_SOURCE_DIR}/playerinterfacegen.py
         RENAME playerinterfacegen DESTINATION bin
         PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ
         GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
         COMPONENT applications)

=== libplayersd/CMakeLists.txt ===
IF (HAVE_DNS_SD)
    OPTION (HAVE_PLAYERSD "Build libplayersd" OFF)
ENDIF (HAVE_DNS_SD)

IF (HAVE_PLAYERSD)
    SET (playersdSrcs playersd_mdns.c playersd.c)

    PLAYER_ADD_LIBRARY (playersd ${playersdSrcs})
    TARGET_LINK_LIBRARIES (playersd playerinterface playercommon)
    PLAYER_ADD_LINK_LIB (dns_sd)
    IF (PTHREAD_LIB)
        SET (PTHREAD_LIB_FLAG "-l${PTHREAD_LIB}")
    ENDIF (PTHREAD_LIB)
    PLAYER_MAKE_PKGCONFIG ("playersd" "Player service discovery library - part of the Player Project" "playerinterface playercommon" "" "" "-ldns_sd ${PTHREAD_LIB_FLAG}")

    PLAYER_INSTALL_HEADERS (playersd playersd.h)
ENDIF (HAVE_PLAYERSD)

=== libplayertcp/CMakeLists.txt ===
OPTION (INCLUDE_TCP "Include the TCP transport layer" ON)
OPTION (INCLUDE_UDP "Include the UDP transport layer" ON)

INCLUDE_DIRECTORIES (${PROJECT_BINARY_DIR}/libplayercore)
# Possibly use our own copy of XDR
IF (NOT HAVE_XDR)
    INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/replace)
ENDIF (NOT HAVE_XDR)
IF (NOT PTHREAD_INCLUDE_DIR STREQUAL "")
    INCLUDE_DIRECTORIES (${PTHREAD_INCLUDE_DIR})
ENDIF (NOT PTHREAD_INCLUDE_DIR STREQUAL "")
IF (NOT PTHREAD_LIB_DIR STREQUAL "")
    LINK_DIRECTORIES (${PTHREAD_LIB_DIR})
ENDIF (NOT PTHREAD_LIB_DIR STREQUAL "")

IF (PLAYER_OS_QNX)
    SET (socketLibs socket)
    SET (socketLibsFlags -lsocket)
ELSEIF (PLAYER_OS_SOLARIS)
    SET (socketLibs socket nsl)
    SET (socketLibsFlags "-lsocket -lnsl")
ELSE (PLAYER_OS_QNX)
    SET (socketLibs)
    SET (socketLibsFlags)
ENDIF (PLAYER_OS_QNX)

IF (INCLUDE_TCP)
    OPTION (ENABLE_TCP_NODELAY "Turn off Nagel's buffering algorithm (which may increase socket latency when used)" OFF)

    SET (playertcpSrcs socket_util.c playertcp.cc tcpremote_driver.cc)
    IF (NOT HAVE_POLL)
        SET (playerreplaceLib playerreplace)
    ENDIF (NOT HAVE_POLL)
    IF (NOT HAVE_COMPRESSBOUND)
        SET (playerreplaceLib playerreplace)
    ENDIF (NOT HAVE_COMPRESSBOUND)
    IF (NOT HAVE_NANOSLEEP)
        SET (playerreplaceLib playerreplace)
    ENDIF (NOT HAVE_NANOSLEEP)
    PLAYER_ADD_LIBRARY (playertcp ${playertcpSrcs})
    TARGET_LINK_LIBRARIES (playertcp playercore playercommon playerinterface
                           ${playerreplaceLib} ${SOCKET_LIBS})
    IF (PLAYER_OS_WIN)
        TARGET_LINK_LIBRARIES (playertcp Ws2_32)
    ENDIF (PLAYER_OS_WIN)
    IF (SOCKET_LIBS)
        PLAYERCORE_ADD_INT_LINK_LIB (${SOCKET_LIBS})
    ENDIF (SOCKET_LIBS)
    IF (HAVE_Z)
        TARGET_LINK_LIBRARIES (playertcp z)
        PLAYERCORE_ADD_INT_LINK_LIB (z)
        SET (zLibFlag -lz)
    ENDIF (HAVE_Z)
    IF (PLAYER_OS_SOLARIS)
        TARGET_LINK_LIBRARIES (playertcp rt)
        PLAYERCORE_ADD_INT_LINK_LIB (rt)
        SET (rtLibFlag -lrt)
    ENDIF (PLAYER_OS_SOLARIS)
    PLAYER_MAKE_PKGCONFIG ("playertcp" "Player TCP messaging library - part of the Player Project"
                           "playercommon playercore ${playerreplaceLib}" "" ""
                           "${zLibFlag} ${rtLibFlag} ${SOCKET_LIBS_FLAGS}")

    PLAYER_INSTALL_HEADERS (playertcp playertcp.h playertcp_errutils.h)
ENDIF (INCLUDE_TCP)

IF (INCLUDE_UDP)
    SET (playerudpSrcs playerudp.cc)
    IF (NOT HAVE_POLL)
        SET (playerreplaceLib playerreplace)
    ENDIF  (NOT HAVE_POLL)
    IF (NOT HAVE_COMPRESSBOUND)
        SET (playerreplaceLib playerreplace)
    ENDIF (NOT HAVE_COMPRESSBOUND)
    PLAYER_ADD_LIBRARY (playerudp ${playerudpSrcs})
    TARGET_LINK_LIBRARIES (playerudp playercore playercommon playerinterface
                           ${playerreplaceLib} ${SOCKET_LIBS})
    IF (PLAYER_OS_WIN)
        TARGET_LINK_LIBRARIES (playerudp Ws2_32)
    ENDIF (PLAYER_OS_WIN)
    IF (SOCKET_LIBS)
        PLAYERCORE_ADD_INT_LINK_LIB (${SOCKET_LIBS})
    ENDIF (SOCKET_LIBS)
    IF (HAVE_Z)
        TARGET_LINK_LIBRARIES (playerudp z)
        PLAYERCORE_ADD_INT_LINK_LIB (z)
        SET (zLibFlag -lz)
    ELSE (HAVE_Z)
        SET (zLibFlag)
    ENDIF (HAVE_Z)
    PLAYER_MAKE_PKGCONFIG ("playerudp" "Player UDP messaging library - part of the Player Project"
                           "playercommon playercore ${playerreplaceLib}" "" ""
                           "${zLibFlag} ${SOCKET_LIBS_FLAGS}")

    PLAYER_INSTALL_HEADERS (playertcp playerudp.h playertcp_errutils.h)
ENDIF (INCLUDE_UDP)

=== libplayerwkb/CMakeLists.txt ===
SET (playerwkbSrcs playerwkb.c)
PLAYER_ADD_LIBRARY (playerwkb ${playerwkbSrcs})

IF (HAVE_GEOS)
    TARGET_LINK_LIBRARIES (playerwkb playercommon geos geos_c)
    PLAYERCORE_ADD_INT_LINK_LIB (geos_c)
    SET (wkbLibFlag "-lgeos -lgeos_c")
ELSE (HAVE_GEOS)
    TARGET_LINK_LIBRARIES (playerwkb playercommon)
    SET (wkbLibFlag)
ENDIF (HAVE_GEOS)

PLAYER_MAKE_PKGCONFIG ("playerwkb" "Player WKB processing library - part of the Player Project" "playercommon" "" "" "${wkbLibFlag}")
PLAYER_INSTALL_HEADERS (playerwkb playerwkb.h)

=== replace/CMakeLists.txt ===
INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/replace)

IF (PLAYER_OS_WIN)
#    INSTALL (FILES rpc/xdr.h rpc/types.h DESTINATION ${PLAYER_INCLUDE_INSTALL_DIR}/rpc COMPONENT headers)
    INSTALL (FILES replace.h DESTINATION ${PLAYER_INCLUDE_INSTALL_DIR} COMPONENT headers)
ENDIF (PLAYER_OS_WIN)

#IF (NOT HAVE_XDR)
#    SET (replaceSrcs    ${replaceSrcs}
#                        xdr.c
#                        xdr_array.c
#                        xdr_float.c
#                        xdr_intXX_t.c
#                        xdr_mem.c
#                        xdr_sizeof.c)
#    SET (ws2_32lib Ws2_32)
#ENDIF (NOT HAVE_XDR)

IF (NOT HAVE_GETOPT)
    SET (replaceSrcs ${replaceSrcs} getopt.c)
ENDIF (NOT HAVE_GETOPT)

IF (NOT HAVE_DIRNAME)
    SET (replaceSrcs ${replaceSrcs} dirname.c)
ENDIF (NOT HAVE_DIRNAME)

IF (NOT HAVE_CLOCK_GETTIME)
    SET (replaceSrcs ${replaceSrcs} clock_gettime.c)
ENDIF (NOT HAVE_CLOCK_GETTIME)

#IF (NOT HAVE_GETTIMEOFDAY)
#    SET (replaceSrcs ${replaceSrcs} gettimeofday.c)
#ENDIF (NOT HAVE_GETTIMEOFDAY)

IF (NOT HAVE_CFMAKERAW)
    SET (replaceSrcs ${replaceSrcs} cfmakeraw.c)
ENDIF (NOT HAVE_CFMAKERAW)

IF (NOT HAVE_ROUND)
    SET (replaceSrcs ${replaceSrcs} round.c)
ELSEIF (NOT HAVE_ROUND)
    IF (NOT HAVE_RINT)
        SET (replaceSrcs ${replaceSrcs} round.c)
    ENDIF (NOT HAVE_RINT)
ENDIF (NOT HAVE_ROUND)

IF (NOT HAVE_USLEEP)
    SET (replaceSrcs ${replaceSrcs} usleep.c)
ENDIF (NOT HAVE_USLEEP)

IF (NOT HAVE_NANOSLEEP)
    SET (replaceSrcs ${replaceSrcs} nanosleep.c)
ENDIF (NOT HAVE_NANOSLEEP)

IF (NOT HAVE_POLL)
    SET (replaceSrcs ${replaceSrcs} poll.c)
    SET (ws2_32lib Ws2_32)
ENDIF (NOT HAVE_POLL)

IF (NOT HAVE_COMPRESSBOUND)
    SET (replaceSrcs ${replaceSrcs} compressBound.c)
ENDIF (NOT HAVE_COMPRESSBOUND)

IF (replaceSrcs)
    PLAYER_ADD_LIBRARY (playerreplace ${replaceSrcs})
    TARGET_LINK_LIBRARIES (playerreplace playercommon)
    IF (NOT HAVE_XDR OR NOT HAVE_POLL)
        TARGET_LINK_LIBRARIES (playerreplace Ws2_32)
    ENDIF (NOT HAVE_XDR OR NOT HAVE_POLL)
    PLAYER_MAKE_PKGCONFIG ("playerreplace" "Player library of replacements for missing platform functionality - part of the Player Project" "playercommon ${ws2_32Lib}" "" "" "")
ENDIF (replaceSrcs)

=== debian/changelog ===
player (3.0.2+dfsg-4) unstable; urgency=low

  * Patch for zlib 1.2.6 compatibility (FTBFS).
  * Patch for libgeos changes. Closes: #662593
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Michael Janssen <jamuraa@debian.org>  Sun, 25 Mar 2012 18:06:18 -0500

player (3.0.2+dfsg-3) unstable; urgency=low

  * Ack NMU.
  * Fix typo in package description. Closes: #618845
  * Remove build-dependency on libmagick++-dev because player
    doesn't use imagemagick anymore. Closes: #625579
  * Upgrade to libpqxx3. Closes: #623082
  * Enable a couple more drivers for old cameras
    (Adds build-dep: libv4l-dev)
  * Add build-dep: libusb-dev to build more drivers
  * Fix spelling error in robot-playerjoy manpage
  * Bump Standard-Version to 3.9.2 (no changes)

 -- Michael Janssen <jamuraa@debian.org>  Tue, 06 Dec 2011 16:48:10 -0600

player (3.0.2+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on python-support rather than (unused) python-central
    (closes: #614614).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 05 Mar 2011 14:12:35 +0100

player (3.0.2+dfsg-2) unstable; urgency=low

  * Add /usr/lib/robot-player to the places searched for plugins
    to play nice with stage-player-plugin which installs the stage
    plugin there.

 -- Michael Janssen <jamuraa@debian.org>  Wed, 15 Dec 2010 18:06:53 -0600

player (3.0.2+dfsg-1) unstable; urgency=low

  * Remove libphidgets support since it is removed from Debian.
    (Closes: #584363)
  * Redo patch for clarity.
  * Ack NMU (thanks Christoph).
  * New upload forces us to recompile against an existent libcv.
    (Closes: #598002)
  * Bump Standards-Version to 3.9.1 (no changes to comply).
  * New upstream version.
  * Include patches for FTBFS for arm{,el}, alpha, mips{,el}, ia64.
    (thanks Daniel Hess) (Closes: #584232)
  * Don't install the binaries for the examples. (Closes: #554179)
  * Raise exceptions correctly in player{interface,xdr}gen
    (Closes: #585241)

 -- Michael Janssen <jamuraa@debian.org>  Sat, 04 Dec 2010 02:42:06 -0600

player (3.0.1+dfsg-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBS on armel, alpha and ia64 by using non-paused port io operations
    instead of the “_p” onces not defined on this architectures
    (fix-portio.patch).
  * Fix FTBS on mips and mipsel by removing zero initializer from 'struct
    sigaction' variables. 'struct sigaction' is defined different on mips and
    mipsel and the variables are set directly after declaration anyway.

 -- Daniel Hess <daniel@rio-grande.ping.de>  Wed, 02 Jun 2010 11:45:35 +0200

=== debian/control ===
Source: player
Section: science
Priority: extra
Maintainer: Michael Janssen <jamuraa@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgsl0-dev, libcv-dev, libhighgui-dev, libcvaux-dev, libgtk2.0-dev, libdc1394-22-dev, libboost-signals-dev, libboost-thread-dev, swig, libjpeg-dev, python-support, doxygen, linux-libc-dev | linux-kernel-headers, libgnomecanvas2-dev, python-dev, freeglut3-dev, graphviz, ruby, ruby-dev, libtheora-dev, libgeos-dev, libpqxx3-dev, libxmu-dev, libcvaux-dev, libasound2-dev, libstatgrab-dev, cmake, libusb-dev, libv4l-dev
XS-Python-Version: all
Standards-Version: 3.9.3
Homepage: http://playerstage.sourceforge.net/

Package: robot-player
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 Player supports a wide variety of mobile robots and accessories.

Package: robot-player-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Networked server for robots and sensors (documentation)
 Player provides a common interface to a variety of robot and 
 sensor hardware.  The client/server model allows robot programs to be
 written in many programming languages.  This package provides the
 Doxygen documentation for robot-player, libplayercore, libplayerc++, 
 libplayerc, libplayerdrivers, libplayercommon, libplayertcp, 
 libplayerinterface, libplayerwkb, and libplayerudp.

Package: robot-player-dev
Architecture: all
Depends: libplayertcp3.0-dev (>= ${source:Version}), libplayerc++3.0-dev (>= ${source:Version}), libplayerdrivers3.0-dev (>= ${source:Version}), libplayerwkb3.0-dev (>= ${source:Version}), ${misc:Depends}
Description: Networked server for robots and sensors - development package
 Player proovides a common interface to a variety of robot and}
 sensor hardware.  The client/server model allows robot programs to be
 written in many programming languages.  This metapackage provides an easy way
 to install all the development libraries at once by depending on them.

Package: libplayercommon3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - common functions
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains shared functions for log and error handling.

Package: libplayercommon3.0-dev
Provides: libplayercommon-dev
Conflicts: libplayercommon-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplayercommon3.0 (= ${binary:Version})
Description: Networked server for robots and sensors - error handling development files
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the development files for error handling.


Package: libplayercore3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - core library
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the shared library bridging the gap between the
 devices supported by Player and the interfaces which are defined, including
 the messages and queues in which messages are stored.

Package: libplayercore3.0-dev
Provides: libplayercore-dev, libplayercore2-dev
Conflicts: libplayercore-dev, libplayercore2-dev
Replaces: libplayercore2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplayercore3.0 (= ${binary:Version}), libplayercommon3.0-dev (= ${binary:Version}), libplayerinterface3.0-dev (= ${binary:Version}), libgeos-dev
Description: Networked server for robots and sensors - core library development files
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the development files for utilizing the 
 library bridging the gap between the devices supported by Player and the
 interfaces which are defined, including the messages and queues in which
 messages are stored.

Package: libplayertcp3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - tcp library
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the library which moves messages from Player
 message queues to the TCP socket, and vice-versa.

Package: libplayertcp3.0-dev
Provides: libplayertcp-dev, libplayertcp2-dev, libplayerudp-dev, libplayerudp2-dev
Conflicts: libplayertcp-dev, libplayertcp2-dev, libplayerudp-dev, libplayerudp2-dev
Replaces: libplayertcp2-dev, libplayerudp2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplayertcp3.0 (= ${binary:Version}), libplayercore3.0-dev (= ${binary:Version}), libplayerinterface3.0-dev (= ${binary:Version})
Description: Networked server for robots and sensors - tcp library development files
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the development files for using the library which moves
 messages from Player message queues to the TCP socket, and vice-versa.

Package: libplayerc3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - C client library
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the C library for interface to Player servers.

Package: libplayerc3.0-dev
Provides: libplayerc-dev, libplayerc2-dev
Conflicts: libplayerc-dev, libplayerc2-dev
Replaces: libplayerc2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplayerc3.0 (= ${binary:Version}), libplayercommon3.0-dev (= ${binary:Version})
Description: Networked server for robots and sensors - C client library development files
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the files required to utilize the C client library

Package: libplayerc++3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - C++ client library
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the C++ library for interface to Player servers.

Package: libplayerc++3.0-dev
Provides: libplayerc++-dev, libplayerc++2-dev
Conflicts: libplayerc++-dev, libplayerc++2-dev
Replaces: libplayerc++2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplayerc++3.0 (= ${binary:Version}), libplayerc3.0-dev (= ${binary:Version}), libplayercommon3.0-dev (= ${binary:Version}), libboost-thread-dev, libboost-signals-dev
Description: Networked server for robots and sensors - C++ client library development files
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the files required to utilize the C++ client library

Package: libplayerdrivers3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - hardware drivers library
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains drivers required to run hardware available through
 the Player server.

Package: libplayerdrivers3.0-dev
Provides: libplayerdrivers-dev, libplayerdrivers2-dev
Conflicts: libplayerdrivers-dev, libplayerdrivers2-dev
Replaces: libplayerdrivers2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplayerdrivers3.0 (= ${binary:Version}), libplayercore3.0-dev (= ${binary:Version}), libplayerjpeg3.0-dev (= ${binary:Version}), libplayerinterface3.0-dev (= ${binary:Version}), libplayercommon3.0-dev (= ${binary:Version}), libplayerwkb3.0-dev (= ${binary:Version}), libcv-dev, libcvaux-dev, libgsl0-dev, libdc1394-22-dev | libdc1394-dev, libhighgui-dev

=== debian/rules ===
#!/usr/bin/make -f 

RENAMED_BINARIES=player playerv playercam playerjoy playernav playerprint playervcr playerwritemap pmaptest

%: 
	dh $@

override_dh_clean:
	dh_clean
	# for some reason, the build makes this file in the main source
	rm -f doc/player.tag

override_dh_install:
	for i in $(RENAMED_BINARIES); do mv -v debian/tmp/usr/bin/$$i debian/tmp/usr/bin/robot-$$i; done
	install -d debian/tmp/usr/share/doc/player
	mv -f debian/tmp/usr/share/doc/player-3.0.2 debian/tmp/usr/share/doc/player/html
	dh_install

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=TRUE -DBUILD_DOCUMENTATION=TRUE

override_dh_auto_build:
	dh_auto_build
	# docs don't get built automatically
	(cd obj-$(DEB_BUILD_GNU_TYPE) && make doc)

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
http://sf.net/playerstage/player-(.+)\.tar\.gz debian
